POE-Component-EasyDBI v1.30 Perl 5 v5.36.0 x86_64-linux-quadmath

Status
Pass
From
Chris Williams (BINGOS)
Dist
POE-Component-EasyDBI v1.30
Platform
Perl 5 v5.36.0 x86_64-linux-quadmath
Date
2022-12-25T11:02:18
ID
98db78d4-8443-11ed-aba6-9a79f339625c
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--

Dear Gelu Lupas,

This is a computer-generated error report created automatically by
CPANPLUS, version 0.9914. Testers personal comments may appear
at the end of this report.


Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

TEST RESULTS:

Below is the error stack from stage 'make test':

t/1.t .. skipped: DBD::AnyData is broken

You should see an error next, this is intended
# DBD::SQLite::db prepare failed: near "PDATE": syntax error at /opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/lib/POE/Component/EasyDBI/SubProcess.pm line 714.
# Query affected 3 rows
t/2.t .. ok
# Query affected 3 rows
t/3.t .. ok
All tests successful.
Files=3, Tests=35,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.47 cusr  0.10 csys =  0.62 CPU)
Result: PASS


PREREQUISITES:

Here is a list of prerequisites you specified and versions we
managed to load:

	  Module Name                        Have     Want
	  Carp                               1.52        0
	  DBI                               1.643     1.38
	  POE                               1.370   0.3101
	  Params::Util                      1.102        0
	  Scalar::Util                       1.63        0
	  Test::More                     1.302190        0
	  Test::Requires                     0.11     0.08
	  Try::Tiny                          0.31        0
	  strict                             1.12        0
	  warnings                           1.58        0

Perl module toolchain versions installed:
	Module Name                        Have
	CPANPLUS                         0.9914
	CPANPLUS::Dist::Build              0.90
	Cwd                                3.84
	ExtUtils::CBuilder             0.280236
	ExtUtils::Command                  7.66
	ExtUtils::Install                  2.22
	ExtUtils::MakeMaker                7.66
	ExtUtils::Manifest                 1.73
	ExtUtils::ParseXS                  3.45
	File::Spec                         3.84
	Module::Build                    0.4232
	Pod::Parser                        1.65
	Pod::Simple                        3.43
	Test2                          1.302190
	Test::Harness                      3.44
	Test::More                     1.302190
	version                          0.9929

******************************** NOTE ********************************
The comments above are created mechanically, possibly without manual
checking by the sender.  As there are many people performing automatic
tests on each upload to CPAN, it is likely that you will receive
identical messages about the same problem.

If you believe that the message is mistaken, please reply to the first
one with correction and/or additional informations, and do not take
it personally.  We appreciate your patience. :)
**********************************************************************

Additional comments:


This report was machine-generated by CPANPLUS::Dist::YACSmoke 1.08.

CPANPLUS is prefering Build.PL

------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_GB.UTF-8
    LANGUAGE = en_GB:en
    PATH = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
    PERL5LIB = :/opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/lib:/opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/arch
    PERL5_CPANIDX_URL = http://cpan.mirror.local/cpanidx/
    PERL5_CPANPLUS_HOME = /opt/perl-5.36.0
    PERL5_CPANPLUS_IS_RUNNING = 6252
    PERL5_CPANPLUS_IS_VERSION = 0.9914
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_INSTALL_QUIET = 1
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm-256color

Perl special variables (and OS-specific diagnostics, for MSWin32):

    Perl: $^X = /opt/perl-5.36.0/bin/perl
    UID:  $<  = 0
    EUID: $>  = 0
    GID:  $(  = 0 0
    EGID: $)  = 0 0


-------------------------------


--

Summary of my perl5 (revision 5 version 36 subversion 0) configuration:
   
  Platform:
    osname=linux
    osvers=5.4.0-113-generic
    archname=x86_64-linux-quadmath
    uname='linux azkaban 5.4.0-113-generic #127~18.04.1-ubuntu smp wed may 18 15:40:23 utc 2022 x86_64 x86_64 x86_64 gnulinux '
    config_args='-des -Dusequadmath -Dprefix=/opt/perl-5.36.0'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
  Compiler:
    cc='cc'
    ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
    optimize='-O2'
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='7.5.0'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='__float128'
    nvsize=16
    Off_t='off_t'
    lseeksize=8
    alignbytes=16
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lquadmath
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc -lquadmath
    libc=libc-2.27.so
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version='2.27'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
    USE_QUADMATH
  Built under linux
  Compiled at May 28 2022 10:08:45
  %ENV:
    PERL5LIB=":/opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/lib:/opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/arch"
    PERL5_CPANIDX_URL="http://cpan.mirror.local/cpanidx/"
    PERL5_CPANPLUS_HOME="/opt/perl-5.36.0"
    PERL5_CPANPLUS_IS_RUNNING="6252"
    PERL5_CPANPLUS_IS_VERSION="0.9914"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_INSTALL_QUIET="1"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/lib
    /opt/perl-5.36.0/.cpanplus/5.36.0/build/joJTEJC1xy/POE-Component-EasyDBI-1.30/blib/arch
    /opt/perl-5.36.0/lib/site_perl/5.36.0/x86_64-linux-quadmath
    /opt/perl-5.36.0/lib/site_perl/5.36.0
    /opt/perl-5.36.0/lib/5.36.0/x86_64-linux-quadmath
    /opt/perl-5.36.0/lib/5.36.0